#if !defined(AFX_DEFAULTPAGE_H__0F9F09BA_C783_4A7E_AB26_20737E5CBBEF__INCLUDED_)
#define AFX_DEFAULTPAGE_H__0F9F09BA_C783_4A7E_AB26_20737E5CBBEF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DefaultPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDefaultPage dialog

class CDefaultPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CDefaultPage)

// Construction
public:
	CDefaultPage();
	~CDefaultPage();

// Dialog Data
	//{{AFX_DATA(CDefaultPage)
	enum { IDD = IDD_DEFAULTPAGE };
	CString	m_Ambient1;
	CString	m_AmbientBlue;
	CString	m_AmbientGreen;
	CString	m_AmbientRed;
	CString	m_CreaseAngle;
	CString	m_Diffuse1;
	CString	m_DiffuseBlue;
	CString	m_DiffuseGreen;
	CString	m_DiffuseRed;
	CString	m_DoubleSided;
	CString	m_DxfColor;
	CString	m_EmissiveBlue;
	CString	m_EmissiveGreen;
	CString	m_EmissiveRed;
	CString	m_IndexRefraction;
	CString	m_Roughness;
	CString	m_RwxGeometrySampling;
	CString	m_RwxLightSampling;
	CString	m_RwxTag;
	CString	m_RwxTextureModes;
	CString	m_Shininess;
	CString	m_Specular1;
	CString	m_SpecularBlue;
	CString	m_SpecularGreen;
	CString	m_SpecularRed;
	CString	m_Transparency1;
	CString	m_TransparencyBlue;
	CString	m_TransparencyGreen;
	CString	m_TransparencyRed;
	CString	m_ColorRed;
	CString	m_ColorGreen;
	CString	m_ColorBlue;
	CString	m_OglGlobalAmbientRed;
	CString	m_OglGlobalAmbientGreen;
	CString	m_OglGlobalAmbientBlue;
	CString	m_OglGlobalAmbientAlpha;
	CString	m_OglLightAmbientRed;
	CString	m_OglLightAmbientGreen;
	CString	m_OglLightAmbientBlue;
	CString	m_OglLightAmbientAlpha;
	CString	m_OglLightDiffuseRed;
	CString	m_OglLightDiffuseGreen;
	CString	m_OglLightDiffuseBlue;
	CString	m_OglLightDiffuseAlpha;
	BOOL	m_OglLightEnabled;
	CString	m_OglLightPositionX;
	CString	m_OglLightPositionY;
	CString	m_OglLightPositionZ;
	CString	m_OglLightSpecularRed;
	CString	m_OglLightSpecularGreen;
	CString	m_OglLightSpecularBlue;
	CString	m_OglLightSpecularAlpha;
	int		m_OglLight_Group;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CDefaultPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CDefaultPage)
	afx_msg void OnGetdefaultmaterials();
	afx_msg void OnCleareditboxes();
	afx_msg void OnGetoglglobalambient();
	afx_msg void OnSetoglglobalambient();
	afx_msg void OnOgllight0();
	afx_msg void OnOgllight1();
	afx_msg void OnOgllight2();
	afx_msg void OnOgllight3();
	afx_msg void OnOgllight4();
	afx_msg void OnOgllight5();
	afx_msg void OnOgllight6();
	afx_msg void OnOgllight7();
	afx_msg void OnSetogllight();
  virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void GetOglLight(void);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEFAULTPAGE_H__0F9F09BA_C783_4A7E_AB26_20737E5CBBEF__INCLUDED_)
